#! /bin/bash

set -e

. ./pika-build-config.sh

VERSION="$PIKA_PACKAGE_VERSION"

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Install Pbuilder config
cp -rvf ./pika-pbuilder/* /

# Get source code
if [[ "$PIKA_PACKAGE_NAME" == *-dmo ]];
then
	apt-get source "$PIKA_PACKAGE_NAME" -y
else
	apt-get source "$PIKA_PACKAGE_NAME=$VERSION" -y
fi

### TODO: Native patching
### TODO: Quilt patching
### TODO: NMU REBUILD

$PIKA_PBUILDER_INIT
$PIKA_PBUILDER_BUILD --build ./*.dsc

# Move the debs to output
mkdir -p ./output
mv ./*.deb ./output/
